export default {
  // 主列表页面
  customerName: "客户名称",
  enterCustomerName: "请输入客户名称",
  operatorType: "运营商类型",
  selectOperatorType: "请选择运营商类型",
  addCustomer: "新增客户",
  batchDelete: "批量删除",
  searchExecuted: "已执行搜索",
  searchReset: "搜索条件已重置",
  batchDeleteWarning: "确定要批量删除选中的客户吗？",
  statusName: "状态",

  basicInfoSection: "基本信息",
  smsInfoSection: "手机短信",
  accountManagement: "账户资费管理",
  customerData: "客户资料",
  interfaceParams: "接口参数",
  billingInfo: "发票信息",
  purchaseQuality: "购卡资质",
  warningNumbers: "预警参数",

  // 表格列
  id: "序号",
  customerCode: "客户编码",
  accountNumber: "账号",
  accountBalance: "账户余额",
  paymentMethod: "付费方式",
  customerStatus: "客户状态",
  validPeriod: "有效期",
  activeCards: "有效卡数/总卡数",
  updateTime: "更新时间",

  // 操作按钮
  recharge: "充值",
  packageManagement: "套餐管理",
  edit: "编辑",

  // 状态
  status: {
    normal: "正常",
    disabled: "禁用",
    pending: "待审",
    suspended: "暂停",
  },

  // 运营商类型
  operatorTypes: {
    domestic: "国内",
    international: "国际",
  },

  // 新增/编辑客户对话框
  editCustomer: "编辑客户",
  basicInfo: "基本信息",
  smsInfo: "手机短信",
  enterCustomerCode: "请输入客户编码",
  enterAccountNumber: "请输入账号",
  password: "登录密码",
  enterPassword: "请输入登录密码",
  generatePassword: "重置密码",
  remark: "号码备注",
  enterRemark: "请输入号码备注",
  selectValidPeriod: "请选择有效期",

  smsNumber: "短信子号",
  enterSmsNumber: "请输入短信子号",
  smsName: "短信签名",
  enterSmsName: "请输入短信签名",
  loginSmsTemplate: "登录短信模板",
  enterLoginSmsTemplate: "请输入登录短信模板",
  alarmSmsTemplate: "预警短信模板",
  enterAlarmSmsTemplate: "请输入预警短信模板",

  // 表单验证消息
  customerCodeRequired: "请输入客户编码",
  customerNameRequired: "请输入客户名称",
  accountNumberRequired: "请输入账号",
  passwordRequired: "请输入登录密码",
  validPeriodRequired: "请选择有效期",
  statusRequired: "请选择客户状态",

  // 其他
  passwordGenerated: "密码已生成",

  // 账户资费管理相关翻译
  accountBalance: '账户余额',
  rechargeLimit: '充值限制',
  creditLimit: '信用额度',
  mobileSmsPrice: '手机短信单价',
  iotSmsPrice: '物联网短信单价',
  paymentMethod: '付费方式',
  currency: '元',
  currencyPerTime: '元/次',
  currencyPerMessage: '元/条',
  paymentMethodName: '付费方式名称',
  paymentMethod: {
    prepaid: '预付费',
    postpaid: '后付费'
  },

  // 客户资料相关翻译
  platformName: '平台名称',
  enterPlatformName: '请输入平台名称',
  companyName: '公司名称',
  enterCompanyName: '请输入公司名称',
  servicePhone: '服务电话',
  enterServicePhone: '请输入服务电话',
  domain: '域名',
  enterDomain: '请输入域名',
  websiteBackend: '网站备案号',
  enterWebsiteBackend: '请输入网站备案号',
  customerAddress: '客户地址',
  enterCustomerAddress: '请输入客户地址',

  contactPerson: '联系人',
  enterContactPerson: '请输入联系人',
  contactPhone: '联系人手机号',
  enterContactPhone: '请输入联系人手机号',
  contactEmail: '联系人邮箱',
  enterContactEmail: '请输入联系人邮箱',
  contactQQ: '联系人QQ号',
  enterContactQQ: '请输入联系人QQ号',

  billingPerson: '收件人',
  enterBillingPerson: '请输入收件人',
  billingPhone: '收件人手机号',
  enterBillingPhone: '请输入收件人手机号',
  billingAddress: '收件人地址',
  enterBillingAddress: '请输入收件人地址',

  // 接口参数相关翻译
  smsStatusReportUrl: '短信状态报告推送地址',
  enterSmsStatusReportUrl: '请输入短信状态报告推送地址',
  reportIp: '报备IP',
  enterReportIp: '请输入报备IP',
  deliveryPriority: '推送优先级',
  selectDeliveryPriority: '请选择推送优先级',
  deliveryPriorityName: '推送优先级',
  deliveryPriority: {
    high: '高',
    medium: '中',
    low: '低'
  },
  dataReportUrl: '数据推送地址',
  enterDataReportUrl: '请输入数据推送地址',

  // 发票信息相关翻译
  invoiceTitle: '发票抬头',
  enterInvoiceTitle: '请输入发票抬头',
  taxRegistrationNumber: '税务登记证号',
  enterTaxRegistrationNumber: '请输入税务登记证号',
  registeredAddress: '注册场所地址',
  enterRegisteredAddress: '请输入注册场所地址',
  registeredPhone: '注册固定电话',
  enterRegisteredPhone: '请输入注册固定电话',
  bankName: '开户银行名称',
  enterBankName: '请输入开户银行名称',
  bankAccountName: '账户名称',
  enterBankAccountName: '请输入账户名称',
  bankAccountNumber: '开户账号',
  enterBankAccountNumber: '请输入开户账号',
  taxIdentificationNumber: '纳税人识别号',
  enterTaxIdentificationNumber: '请输入纳税人识别号',
  invoiceRecipient: '收票人',
  enterInvoiceRecipient: '请输入收票人',
  recipientPhone: '收票人手机号',
  enterRecipientPhone: '请输入收票人手机号',
  invoiceAddress: '收票地址',
  enterInvoiceAddress: '请输入收票地址',
  invoiceEmail: '收票邮箱',
  enterInvoiceEmail: '请输入收票邮箱',
  businessLicenseFile: '营业执照扫描件（加盖公章）',
  taxRegistrationFile: '税务登记复印件',
  generalTaxpayerFile: '一般纳税人认定表复印件',
  uploadFile: '点击上传图片',

  // 购卡资质相关翻译
  businessLicenseFile: '营业执照扫描件（加盖公章）',
  legalPersonIdCardFrontFile: '法人身份证人像面（加盖公章）',
  legalPersonIdCardBackFile: '法人身份证国徽面（加盖公章）',
  equipmentPurchaseFile: '设备照片（加盖公章）',
  businessContractFile: '业务合同（加盖公章）',
  informationSecurityFile: '信息安全承诺书（加盖公章）',
  customerInformationFile: '客户信息表（加盖公章）',
  obtainMethod: '获客方式及文字话术',
  telephoneApplicationForm: '电话业务用户申请登记表',
  otherDocuments: '其他附件',
  uploadFile: '点击上传图片',
  imageUploadDescription: '1.建议上传尺寸为360*240px的图片\n2.图片仅支持jpg或png格式\n3.图片不得大于2M',
  obtainMethodDescription: '支持扩展名：.rar .zip .doc .docx .ppt .pptx .xls .xlsx .pdf .jpg .jpeg .png .txt\n最多上传10个文件，每个文件不超过2M',
  telephoneApplicationFormDescription: '支持扩展名：.rar .zip .doc .docx .ppt .pptx .xls .xlsx .pdf .jpg .jpeg .png .txt\n最多上传10个文件，每个文件不超过2M',
  otherDocumentsDescription: '支持扩展名：.rar .zip .doc .docx .ppt .pptx .xls .xlsx .pdf .jpg .jpeg .png .txt\n最多上传10个文件，每个文件不超过2M',

  // 预警参数相关翻译
  warningNumbers: '预警参数',
  accountBalanceWarning: '账号余额预警',
  reachWarning: '达量预警',
  stopSending: '达量停机',
  networkDisconnection: '达量断网',
  warningPhones: '预警手机',
  warningEmails: '预警邮箱',
  enterWarningPhones: '多个逗号隔开，最多3个',
  enterWarningEmails: '多个逗号隔开，最多3个',
  noRecovery: '不复机',
  manualRecovery: '手工恢复',
  autoRecovery: '自动恢复',
  // customerInvoice: {
  //   businessLicenseFile: "营业执照扫描件（加盖公章）"
  // },
  // customerCardQualification: {
  //   legalPersonIdCardFrontFile:
  // }
};